%define	version	2.1.1
%define release	%mkrel 2

Summary:	Managing cron job or at job using GUI
Name:		gnome-schedule
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Other
URL:		http://gnome-schedule.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/gnome-schedule/%{name}-%{version}.tar.gz
Patch0:		gnome-schedule-1.1.0_fix_documentation_build.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pygtk2.0-devel
BuildRequires:	yelp
BuildRequires:	at
BuildRequires:	desktop-file-utils
BuildRequires:  pygtk2.0-libglade gnome-python-devel gnome-python-gconf libxslt-proc
BuildRequires:  gnome-common intltool
Requires:	at
Requires:	pygtk2.0-libglade
Requires:	gnome-python
Requires:	gnome-python-gconf

%description
Gnome-schedule is a tool for managing a users crontab or at jobs
using a GUI. Its key features include:

  * View and edit cron and at jobs in a GUI
  * You can add templates like "Build Kernel" or "Scan for viruses" for
easy reuse of jobs
  * Change other users cron and at jobs if you are root
  * Icons and titles for jobs
  * A human readable text string of cron jobs, to make it easier for
users to understand something like: 5 0 * * *, gnome-schedule translates
it into: At every day at 00:05
  * There is also some predefined common expressions like; every day,
every minute, every week, tomorrow, next week. Depending whether you are
adding a cron job or at job.
  * An advanced view to make it more efficient for the experienced user
to manage his crontabs.
  * A calendar to choose when an at job should be added.

WARNING: This is still a beta release and not ready for user consumption
yet. It is uploaded for software testing. Please submit bug reports to
GNOME bugzilla (bugzilla.gnome.org).

%prep
%setup -q

%build
#gnome-doc-prepare --force; aclocal; autoconf; automake

%configure2_5x --disable-scrollkeeper
%make


%install
rm -rf %{buildroot}
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GNOME" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-System-Configuration-Other;Settings" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done


%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_libdir}/bonobo/servers/GNOME_GnomeSchedule.server
%{_datadir}/omf/%name/gnome-schedule-C.omf


%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-2mdv2011.0
+ Revision: 610944
- rebuild

* Mon Nov 09 2009 Frederik Himpe <fhimpe@mandriva.org> 2.1.1-1mdv2010.1
+ Revision: 463692
- update to new version 2.1.1

* Sun May 17 2009 Frederik Himpe <fhimpe@mandriva.org> 2.1.0-1mdv2010.0
+ Revision: 376629
- update to new version 2.1.0

* Sun Jul 20 2008 Funda Wang <fwang@mandriva.org> 2.0.2-1mdv2009.0
+ Revision: 238878
- New version 2.0.2

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.1.0-2mdv2009.0
+ Revision: 222344
- buildrequires gnome-python-devel instead of gnome-python
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Mar 09 2007 Jérôme Soyer <saispo@mandriva.org> 1.1.0-1mdv2007.1
+ Revision: 138990
- Patch doc
- Add BR
- Fix BR
- New release 1.1.0
- Import gnome-schedule

* Mon Sep 11 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.0-3mdv2007.0
- xdg menu

* Thu May 11 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-2mdk
- Fix missing dependency (Marcio Cordero)

* Wed May 10 2006 Jerome Soyer <saispo@mandriva.org> 1.0.0-1mdk
- New release 1.0.0

* Thu Aug 18 2005 Abel Cheung <deaddog@mandriva.org> 0.9.0-1mdk
- First Mandriva package (for wider software testing)

